<?php
/*
Fichier : TEMPLATEPATH. '/inc/modules/mbx-newsletter.inc.php'
Objet : Création d'une Métabox permettant de publier un contenu dans la newsletter 
*/
/*
function at111_init_mbx_newsletter() {
    add_meta_box('at111_mbx_newsletter', 'Newsletter', 'at111_create_mbx_newsletter', 'actualites', 'side', 'high');
    add_meta_box('at111_mbx_newsletter', 'Newsletter', 'at111_create_mbx_newsletter', 'agenda', 'side', 'high');
}
function at111_create_mbx_newsletter($post) {
	// Récupération des métas associées
	$stickyposts = get_post_meta($post->ID, 'newsletter', true);
	wp_nonce_field( plugin_basename(__FILE__), 'at111_mbx_newsletter');
	?>
	<p><label for="newsletter">Afficher ce contenu dans la newsletter</label>&nbsp;&nbsp;<input type="checkbox" id="newsletter" name="newsletter" value="newsletter-ok"<?php if ($stickyposts =='newsletter-ok') {echo ' checked'; } ?> /></p>
	<?php
}
add_action( 'add_meta_boxes', 'at111_init_mbx_newsletter' );

// Enregistrer les valeurs saisies.
function at111_save_mbx_newsletter($post_id) {
 	// Vérifier si la méta existe. Sinon, et bien on va l'ajouter !
 	// on utilise d'abord add_post_meta, qui s'exécute uniquement si la méta n'existe pas encore pour ce contenu, dans la BDD
	$stickyposts = $_POST['newsletter'];
	add_post_meta($post_id, 'newsletter', $stickyposts, true);
	update_post_meta($post_id, 'newsletter', $stickyposts);
}
add_action('save_post', 'at111_save_mbx_newsletter');
*/
